function init()
	screen = FindScreen("tv")
	body = GetShapeBody(GetScreenShape(screen))
end

function tick(dt)
	if HasTag(body, "interact") then
		if IsBodyBroken(body) then
			RemoveTag(body, "interact")
		else
			if IsScreenEnabled(screen) then
				SetTag(body, "interact", "loc@TURN_OFF")
			else
				SetTag(body, "interact", "loc@TURN_ON")
			end
		end
	end
	if GetPlayerInteractBody() == body and InputPressed("interact") then
		if IsScreenEnabled(screen) then
			SetScreenEnabled(screen, false)
			SetTag(body, "interact", "loc@TURN_ON")
		else
			SetScreenEnabled(screen, true)
			SetTag(body, "interact", "loc@TURN_OFF")
		end
	end
end


